Microsoft Exchange Client Access Server Information Disclosure

high Nessus Plugin ID 77026
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote mail server is affected by an information disclosure vulnerability.

Description

The Microsoft Exchange Client Access Server (CAS) is affected by an information disclosure vulnerability. A remote, unauthenticated attacker can exploit this vulnerability to learn the server's internal IP address.
An attacker can send a crafted GET request to the Web Server with an empty host header that would expose internal IP Addresses of the underlying system in the header response.

Solution

Only attack two (Reverse Proxy / Gateway) is fixed in current versions. Apply the latest supplied vendor patches.

See Also

http://foofus.net/?p=758

http://www.nessus.org/u?4eedfe2d

http://www.nessus.org/u?caaa19d8

Plugin Details

Severity: High

ID: 77026

File Name: exchange_ip_disclosure.nasl

Version: 1.7

Type: remote

Agent: windows

Family: Windows

Published: 8/6/2014

Updated: 1/2/2019

Dependencies: http_version.nasl

Risk Information

CVSS Score Source: manual

CVSS Score Rationale: Nvd score unavailable. information disclosure vulnerability.

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 4.2

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: E:U/RL:U/RC:ND

CVSS v3

Risk Factor: High

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Vulnerability Information

CPE: cpe:/a:microsoft:exchange_server

Exploit Ease: No known exploits are available

Exploited by Nessus: true

Vulnerability Publication Date: 8/1/2014

Reference Information

BID: 69018